import React from "react";
import StandardTable from "@/components/StandardTable";

import styles from "../styles/table_chart.less";

class TableChart extends React.Component {
  constructor(props) {
    super(props);
    this.state = {};
  }

  componentDidMount() {}

  componentDidUpdate(prevProps) {}

  componentWillUnmount() {}

  render() {
    return (
      <div className={styles.table_chart}>
        <StandardTable
          showScrollbar={false}
          data={this.props.data}
          sldpagination={false}
          columns={this.props.columns}
          style={{ flex: 1 }}
        />
      </div>
    );
  }
}

export default TableChart;
